Name:           prewikka
Version:        0.9.9
Release:        %mkrel 1
Epoch:          0
Summary:        Graphical front-end analysis console for the Prelude Hybrid IDS Framework
License:        GPL
Group:          System/Servers
URL:            http://www.prelude-ids.org/
Source0:        http://www.prelude-ids.org/download/releases/prewikka-0.9.9.tar.gz
Source1:        http://www.prelude-ids.org/download/releases/prewikka-0.9.9.tar.gz.sig
Patch0:         prewikka-paths.patch
Requires:       apache
Requires:       python-cheetah
Requires:       python-prelude
Requires:       python-preludedb
Requires(post): rpm-helper
Requires(postun): rpm-helper
BuildRequires:  python-cheetah
BuildRequires:  python-devel
BuildRequires:  rpm-helper
BuildRequires:  rpm-mandriva-setup
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Prewikka is a graphical front-end analysis console for the Prelude 
Hybrid IDS Framework. Providing numerous features, Prewikka facilitates 
the work of users and analysts. It provides alert aggregation and sensor 
and hearbeat views, and has user management and configurable filters. It 
has access to external tools such as whois and traceroute.

%prep
%setup -q
%patch0 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__python} ./setup.py install --root=%{buildroot} -O2

# install cgi's to www directory
%{__mkdir_p} %{buildroot}%{_var}/www/cgi-bin
%{__install} -m 755 %{buildroot}%{_datadir}/%{name}/cgi-bin/*.cgi %{buildroot}%{_var}/www/cgi-bin
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/cgi-bin

%{__mkdir_p} %{buildroot}%{_var}/www/%{name}
%{__mv} %{buildroot}%{_datadir}/%{name}/htdocs/* %{buildroot}%{_var}/www/%{name}
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/htdocs

%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__cat} > %{buildroot}%{_webappconfdir}/%{name}.conf << EOF
# %{name} configuration

Alias /%{name} %{_var}/www/%{name}

<Directory %{_var}/www/%{name}>
    Allow from 127.0.0.1
</Directory>
EOF

%{__cat} > README.urpmi << EOF
%{name} requires a database. The default database is mysql. To
complete the default installation, do something like the following:

%{_bindir}/mysqladmin create prewikka
echo "GRANT ALL PRIVILEGES ON prewikka.* TO prelude@'localhost' IDENTIFIED BY 'prelude';" | %{_bindir}/mysql -h localhost
%{_bindir}/mysql -h localhost -u prelude prewikka -p < %{_datadir}/%{name}/mysql.sql
EOF

%{__rm} -f %{buildroot}%{python_sitelib}/prewikka-%{version}-py%{pyver}.egg-info

%clean
%{__rm} -rf %{buildroot}

%post
%{_post_webapp}

%postun
%{_postun_webapp}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS HACKING.README NEWS PKG-INFO README doc/apache.conf
%doc README.urpmi
%attr(0755,root,root) %{_bindir}/prewikka-httpd
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/database
%attr(0755,root,root) %{_datadir}/%{name}/database/*.sh
%{_datadir}/%{name}/database/*.sql
%{python_sitelib}/%{name}
%attr(0755,root,root) %{_var}/www/cgi-bin/*.cgi
%{_var}/www/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_webappconfdir}/%{name}.conf


%changelog
* Tue Feb 06 2007 David Walluck <walluck@mandriva.org> 0.9.9-1mdv2007.0
+ Revision: 116943
- 0.9.9

* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0:0.9.8-1mdv2007.1
+ Revision: 87319
- 0.9.8

* Mon Oct 23 2006 David Walluck <walluck@mandriva.org> 0:0.9.7.1-4mdv2007.1
+ Revision: 71993
- BuildRequires: python-devel instead of python
- BuildRequires: python
- add README.urpmi with database notes
- patch for correct paths (FHS compliance)
- Requires: python-prelude for prewikka-httpd
- Requires: python-preludedb for prewikka-httpd
- Import prewikka



* Wed Oct 18 2006 David Walluck <walluck@mandriva.org> 0:0.9.7.1-1mdv2007.1
- release
